# GET /Tasks?userId={userId}

## GET /api/v1/Tasks

> Returns a paginated list of tasks for a user, optionally filtered by task status.

```json
{"openapi":"3.0.4","info":{"title":"Cakewalk Open API","version":"v1"},"servers":[{"url":"https://open-api.getcakewalk.io"}],"security":[{"API Key":[]}],"components":{"securitySchemes":{"API Key":{"type":"apiKey","description":"Public API key used to identify the client application. It should be included in all requests.","name":"X-API-KEY","in":"header"}},"schemas":{"TaskSimplifiedListViewModelV1":{"required":["data","links"],"type":"object","properties":{"data":{"type":"array","items":{"$ref":"#/components/schemas/TaskSimplifiedViewModelV1"},"description":"The list of entities in the current page of the result."},"links":{"allOf":[{"$ref":"#/components/schemas/LinksViewModel"}],"description":"A set of related pagination URLs such as the next or previous page."}},"additionalProperties":false,"description":"Paginated response for a list of entities and pagination-related links."},"TaskSimplifiedViewModelV1":{"required":["createdAt","id","lastUpdatedAt","status","type"],"type":"object","properties":{"id":{"type":"string","description":"Unique identifier of the task.","format":"uuid"},"type":{"allOf":[{"$ref":"#/components/schemas/TaskSimplifiedViewModelV1Type"}],"description":"Type of the task."},"createdAt":{"type":"string","description":"Timestamp when the task was created.","format":"date-time"},"status":{"allOf":[{"$ref":"#/components/schemas/TaskSimplifiedViewModelV1Status"}],"description":"Current status of the task."},"lastUpdatedAt":{"type":"string","description":"Timestamp of the most recent update to the task.","format":"date-time"},"isAutoprovisioning":{"type":"boolean","description":"Indicates whether the task was created as part of the Agent Cake autoprovisioning process."},"isActionStep":{"type":"boolean","description":"Indicates whether the task is considered an action (provisioning, de-provisioning, etc.) step of a request.","nullable":true},"assignedUserId":{"type":"string","description":"Unique identifier of the user currently assigned to the task, if any.","format":"uuid","nullable":true},"claimerUserIds":{"type":"array","items":{"type":"string","format":"uuid"},"description":"Unique identifiers of users who can claim the task.","nullable":true},"requestId":{"type":"string","description":"Unique identifier of the policy-based request related to the task, if any.","format":"uuid","nullable":true},"offboardingMetadata":{"allOf":[{"$ref":"#/components/schemas/ReviewOffboardingMetadataSimplifiedViewModelV1"}],"description":"Offboarding-specific metadata associated with the task. Used for Review Offboarding Tasks.","nullable":true},"onboardingMetadata":{"allOf":[{"$ref":"#/components/schemas/ReviewOnboardingMetadataSimplifiedViewModelV1"}],"description":"Onboarding-specific metadata associated with the task. Used for Review Onboarding Tasks.","nullable":true}},"additionalProperties":false,"description":"Summary task information for list responses: identity, status, opaque related identifiers, and review metadata."},"TaskSimplifiedViewModelV1Type":{"enum":["StandAloneBrowserExtensionInstallationTask","StandAloneReviewOffboardingTask","StandAloneReviewOnboardingTask","RequestReviewTask","RequestActionTask"],"type":"string"},"TaskSimplifiedViewModelV1Status":{"enum":["Approved","Declined","InProgress","Pending","Blocked","Drafted","NoClaimers","Cancelled"],"type":"string"},"ReviewOffboardingMetadataSimplifiedViewModelV1":{"required":["externalIntegrationWorkAppId","targetUserId"],"type":"object","properties":{"targetUserId":{"type":"string","description":"Unique identifier of the user being offboarded.","format":"uuid"},"externalIntegrationWorkAppId":{"type":"string","description":"Unique identifier of the external integration work app involved in offboarding.","format":"uuid"},"terminationDate":{"type":"string","description":"Termination date of the user, if available.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Offboarding-related metadata for list responses: opaque user and work app identifiers and optional termination date."},"ReviewOnboardingMetadataSimplifiedViewModelV1":{"required":["komboWorkAppId"],"type":"object","properties":{"onboardingUserId":{"type":"string","description":"Unique identifier of the user being onboarded, if resolved.","format":"uuid","nullable":true},"komboWorkAppId":{"type":"string","description":"Unique identifier of the Kombo work app for the external integration.","format":"uuid"},"externalConnectionAppIsEmailProvider":{"type":"boolean","description":"Indicates if the external app is also the email provider."},"startingDate":{"type":"string","description":"Start date for the onboarding process, if available.","format":"date-time","nullable":true}},"additionalProperties":false,"description":"Onboarding-related metadata for list responses: opaque user and work app identifiers and optional start date."},"LinksViewModel":{"required":["self"],"type":"object","properties":{"self":{"minLength":1,"type":"string","description":"URL to the current resource or page."},"next":{"type":"string","description":"URL to the next page in the collection, if available.","nullable":true}},"additionalProperties":false,"description":"Pagination-related URLs for navigating a paginated collection."},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}},"paths":{"/api/v1/Tasks":{"get":{"tags":["Tasks"],"summary":"Returns a paginated list of tasks for a user, optionally filtered by task status.","parameters":[{"name":"userId","in":"query","description":"The unique identifier of the user (required).","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"status","in":"query","description":"Optional task status filter.","schema":{"type":"string"}},{"name":"cursor","in":"query","description":"Optional pagination cursor for fetching the next page of results.","schema":{"type":"string"}},{"name":"X-API-SECRET","in":"header","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories.","required":true,"schema":{"type":"string","description":"API Secret is used to verify the integrity of the request and authenticate the client. It should be included in all requests. This value must be kept confidential and should never be exposed in client-side code or public repositories."}}],"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/TaskSimplifiedListViewModelV1"}},"application/json":{"schema":{"$ref":"#/components/schemas/TaskSimplifiedListViewModelV1"}},"text/json":{"schema":{"$ref":"#/components/schemas/TaskSimplifiedListViewModelV1"}}}},"400":{"description":"Bad Request","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"401":{"description":"Unauthorized","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"text/plain":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"application/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}},"text/json":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"500":{"description":"Internal Server Error"}}}}}}
```
